Create Approval Policy
curl --request POST \
--url https://api.peachdeskai.com/api/v1/approval-policies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destination": {
"value": "<string>"
},
"not_before": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"max_uses": 5000,
"campaign_contact_count_ceiling": 500000
}
'import requests
url = "https://api.peachdeskai.com/api/v1/approval-policies"
payload = {
"action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destination": { "value": "<string>" },
"not_before": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"max_uses": 5000,
"campaign_contact_count_ceiling": 500000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
destination: {value: '<string>'},
not_before: '2023-11-07T05:31:56Z',
expires_at: '2023-11-07T05:31:56Z',
max_uses: 5000,
campaign_contact_count_ceiling: 500000
})
};
fetch('https://api.peachdeskai.com/api/v1/approval-policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/approval-policies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'action_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'destination' => [
'value' => '<string>'
],
'not_before' => '2023-11-07T05:31:56Z',
'expires_at' => '2023-11-07T05:31:56Z',
'max_uses' => 5000,
'campaign_contact_count_ceiling' => 500000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/approval-policies"
payload := strings.NewReader("{\n \"action_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"destination\": {\n \"value\": \"<string>\"\n },\n \"not_before\": \"2023-11-07T05:31:56Z\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"max_uses\": 5000,\n \"campaign_contact_count_ceiling\": 500000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/approval-policies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"action_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"destination\": {\n \"value\": \"<string>\"\n },\n \"not_before\": \"2023-11-07T05:31:56Z\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"max_uses\": 5000,\n \"campaign_contact_count_ceiling\": 500000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/approval-policies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"action_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"destination\": {\n \"value\": \"<string>\"\n },\n \"not_before\": \"2023-11-07T05:31:56Z\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"max_uses\": 5000,\n \"campaign_contact_count_ceiling\": 500000\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connector_name": "<string>",
"action_type": "call_initiate",
"target_name": "<string>",
"destination": {
"kind": "exact_e164",
"value": "<string>"
},
"not_before": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"max_uses": 123,
"used_count": 123,
"campaign_contact_count_ceiling": 123,
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"estimated_cost_is_authoritative": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Create Approval Policy
POST
/
api
/
v1
/
approval-policies
Create Approval Policy
curl --request POST \
--url https://api.peachdeskai.com/api/v1/approval-policies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destination": {
"value": "<string>"
},
"not_before": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"max_uses": 5000,
"campaign_contact_count_ceiling": 500000
}
'import requests
url = "https://api.peachdeskai.com/api/v1/approval-policies"
payload = {
"action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destination": { "value": "<string>" },
"not_before": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"max_uses": 5000,
"campaign_contact_count_ceiling": 500000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
destination: {value: '<string>'},
not_before: '2023-11-07T05:31:56Z',
expires_at: '2023-11-07T05:31:56Z',
max_uses: 5000,
campaign_contact_count_ceiling: 500000
})
};
fetch('https://api.peachdeskai.com/api/v1/approval-policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/approval-policies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'action_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'destination' => [
'value' => '<string>'
],
'not_before' => '2023-11-07T05:31:56Z',
'expires_at' => '2023-11-07T05:31:56Z',
'max_uses' => 5000,
'campaign_contact_count_ceiling' => 500000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/approval-policies"
payload := strings.NewReader("{\n \"action_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"destination\": {\n \"value\": \"<string>\"\n },\n \"not_before\": \"2023-11-07T05:31:56Z\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"max_uses\": 5000,\n \"campaign_contact_count_ceiling\": 500000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/approval-policies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"action_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"destination\": {\n \"value\": \"<string>\"\n },\n \"not_before\": \"2023-11-07T05:31:56Z\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"max_uses\": 5000,\n \"campaign_contact_count_ceiling\": 500000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/approval-policies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"action_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"destination\": {\n \"value\": \"<string>\"\n },\n \"not_before\": \"2023-11-07T05:31:56Z\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"max_uses\": 5000,\n \"campaign_contact_count_ceiling\": 500000\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connector_name": "<string>",
"action_type": "call_initiate",
"target_name": "<string>",
"destination": {
"kind": "exact_e164",
"value": "<string>"
},
"not_before": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"max_uses": 123,
"used_count": 123,
"campaign_contact_count_ceiling": 123,
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"estimated_cost_is_authoritative": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Body
application/json
Show child attributes
Show child attributes
Required range:
1 <= x <= 10000Required range:
1 <= x <= 1000000Response
Successful Response
Available options:
call_initiate, campaign_start, campaign_resume Show child attributes
Show child attributes
Available options:
active, disabled, revoked, expired, exhausted 
